function [J, T] = ForwKin(DH, q)

% Compute tranformation matrixes from crane base to the different joints by
% using the DH2T function that is implemented and included
T01 = DH2T([DH(1,1:3),q(1)]);
T02 = T01*DH2T([DH(2,1:3), q(2)]);
T03 = T02*DH2T([DH(3,1:3), q(3)]);



% Extract P and Z vectors from the tranformation matrixes
P0 = [0; 0; 0];     
P1 = T01(1:3, 4);   
P2 = T02(1:3, 4);   
P3 = T03(1:3, 4);   

Z0 = [0; 0; 1];
Z1 = T01(1:3, 3);
Z2 = T02(1:3, 3);
% Compute the jacobian
J = [cross(Z0, P3-P0), cross(Z1, P3-P1), cross(Z2, P3-P2);
             Z0,               Z1,               Z2  ];
        

T = T03;
end
