function dPhi = SphericalPendulum(Phi,ddp,dL,L)

%inputs
phix = Phi(1); dphix = Phi(2);
phiy = Phi(3); dphiy = Phi(4);


%Initial values
g = 9.81;
omega0 = sqrt(g/L);

%Abbreviations
w0 = omega0;
sx = sin(phix);
cx = cos(phix);
sy = sin(phiy);
cy = cos(phiy);

ddx0 = ddp(1);
ddy0 = ddp(2);
ddz0 = ddp(3);
%Equations of Motion
dPhi =  [dphix;
         (1/cy)*(-ddy0*cx/L - ddz0*sx/L + 2*dphix*dphiy*sy ...
         -2/L*dL*dphix - w0^2*sx);
         dphiy;
         ddx0*cy/L + ddy0*sx*sy/L - ddz0*cx*sy/L ...
         - dphix^2*sy*cy - 2/L*dL*dphiy - w0^2*cx*sy];